SELECT bid, name, number_reviews, state 
FROM (
     SELECT bid, name, number_reviews, state, rank()
     OVER (PARTITION BY state 
     ORDER BY number_reviews DESC)
     FROM (
     	  SELECT b.bid, b.name, count(*), b.state
     	  FROM business AS b, review AS r
     	  WHERE b.bid = r.bid
     	  AND b.bid IN (
	      SELECT bid
	      FROM business_category
	      WHERE category = 'Bars'
	  )
     	  GROUP BY b.bid
    ) AS review_counts(bid, name, number_reviews, state)
) AS ranked_review_counts(bid, name, number_reviews, state, rank)
WHERE rank = 1
ORDER BY state ASC, bid ASC;
