SELECT b.bid, b.name, avg(r.stars) AS avg_stars, count(*) AS number_reviews
FROM business AS b, review AS r
WHERE b.bid = r.bid
AND b.city = 'Pittsburgh'
AND b.state = 'PA'
AND b.bid IN (
    SELECT bid
    FROM business_category
    WHERE category = 'Breakfast & Brunch'
)
GROUP BY b.bid
ORDER BY avg(r.stars) DESC, count(*) DESC, b.bid ASC
LIMIT 10;
