SELECT uid, name, count(*) AS number_states
FROM (
     SELECT u.uid, u.name, b.state, count(*)
     FROM yelp_user AS u, review AS r, business AS b
     WHERE u.uid = r.uid
     AND b.bid = r.bid
     GROUP BY b.state, u.uid
) AS user_state(uid, name, state, number_reviews)
GROUP BY uid, name
HAVING count(*) > 5
ORDER BY count(*) DESC, uid ASC;
