SELECT b.bid, b.name, avg(r.stars) AS avg_stars, count(*) AS number_reviews
FROM (
     SELECT uid, name, count(*)
     FROM (
     	  SELECT u.uid, u.name, b.state, count(*)
     	  FROM yelp_user AS u, review AS r, business AS b
     	  WHERE u.uid = r.uid
     	  AND b.bid = r.bid
     	  GROUP BY b.state, u.uid
      ) AS user_state(uid, name, state, number_reviews)
      GROUP BY uid, name
      HAVING count(*) > 2
) AS travelers(uid, name, states_been_to), review AS r, business AS b
WHERE travelers.uid = r.uid
AND r.bid = b.bid
AND b.state = 'PA'
AND b.city = 'Pittsburgh'
AND b.bid IN (
    SELECT bid
    FROM business_category
    WHERE category = 'Burgers'
)
GROUP BY b.bid, b.name
ORDER BY avg(r.stars) DESC, count(*) DESC, b.bid ASC
LIMIT 5;
