SELECT b.bid, b.name, count(*) AS number_reviews
FROM business as b
INNER JOIN review as r
ON b.bid = r.bid
WHERE b.bid NOT IN (
      SELECT distinct(b.bid)
      FROM business AS b
      INNER JOIN review AS r
      ON b.bid = r.bid
      WHERE r.stars < 5
      AND b.state = 'PA'
)
AND b.state = 'PA'
GROUP BY b.bid
HAVING count(*) > 10
ORDER BY count(*) DESC, b.bid ASC;