SELECT b.bid, b.name, count(*) AS number_reviews
FROM business AS b
INNER JOIN review AS r
ON b.bid = r.bid
WHERE r.stars = 5
AND r.uid IN (
    SELECT u.uid
    FROM yelp_user AS u
    INNER JOIN review AS r
    ON u.uid = r.uid
    GROUP BY u.uid
    HAVING count(*) = 1
)
GROUP BY b.bid
HAVING count(*) > 150
ORDER BY count(*) DESC, b.name ASC, b.bid ASC;