WITH m1_stars(bid, avg_stars, nreviews) AS (
     SELECT bid, avg(stars), count(*)
     FROM review
     WHERE extract (month from date) = 5
     	   AND extract (year from date) = 2011
     GROUP BY bid
     ORDER BY avg(stars) DESC
), m2_stars(bid, avg_stars, nreviews) AS (
     SELECT bid, avg(stars), count(*)
     FROM review
     WHERE extract (month from date) = 6
     	  AND extract (year from date) = 2011
     GROUP BY bid
     ORDER BY avg(stars) DESC
) 
SELECT b.bid, b.name,
(m2.avg_stars - m1.avg_stars) AS jump_magnitude
FROM business AS b 
INNER JOIN m1_stars AS m1
ON b.bid = m1.bid
INNER JOIN m2_stars AS m2
ON b.bid = m2.bid
WHERE m2.avg_stars - m1.avg_stars > 1
ORDER BY (m2.avg_stars - m1.avg_stars) DESC, b.name ASC, b.bid ASC
LIMIT 10;
